GuideLab API

Audit Stripe subscriptions GuideLab does not track

Reports live Stripe subscriptions for a lab organization's customer that have no local subscription row. Bounded to one indexed customer lookup and one subscription page. Platform admin access required.

GET
/admin/organizations/{id}/subscription/provider-audit

Reports live Stripe subscriptions for a lab organization's customer that have no local subscription row. Bounded to one indexed customer lookup and one subscription page. Platform admin access required.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/admin/organizations/550e8400-e29b-41d4-a716-446655440000/subscription/provider-audit"
{  "stripeCustomerId": "string",  "truncated": true,  "untracked": [    {      "stripeSubscriptionId": "string",      "status": "string",      "plan": "string",      "billingInterval": "string",      "billingCurrency": "string",      "trialEnd": "string",      "currentPeriodEnd": "string",      "adoptable": true    }  ]}
Empty
Empty
Empty
Empty
Empty